## org.apache.http.nio
Interface NHttpMessageWriter<T extends HttpMessage>

All Known Implementing Classes:
  AbstractMessageWriter, DefaultHttpRequestWriter, DefaultHttpResponseWriter, HttpRequestWriter, HttpResponseWriter

    public interface NHttpMessageWriter<T extends HttpMessage>

Abstract HTTP message writer for non-blocking connections.

Since:
  4.0

Method Summary
`void` `reset()` Resets the writer.
`void` `write(T message)` Serializes out the HTTP message head.

Method Detail

### reset

    void reset()

  Resets the writer. The writer will be ready to start serializing another HTTP message.

### write

    void write(T message)
               throws IOException,
                      HttpException

  Serializes out the HTTP message head.

  Parameters:
    `message` - HTTP message.
  Throws:
    `IOException` - in case of an I/O error.
    `HttpException` - in case the HTTP message is malformed or violates the HTTP protocol.

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.